Subject: bug#72523: 28.1; rst.el: indentation from TAB key in rst mode (ReST) is wrong when directive as an option

From: jfbu <[email-masked]>
Date: Sat, 10 Aug 2024 11:41:32 +0200

Hello all,

> Le 10 août 2024 à 10:36, Stefan Merten <[email-masked]> a écrit :
> 
> Hi!
> 
> Yesterday Stefan Kangas wrote:
>> jfbu <[email-masked]> writes:
>> 
>>> Hi,
>>> 
>>> I could not find a bug tracker restricted to rst.el (reStructured Text mode). I was told rst.el is now maintained as part of Emacs, not at [Docutils](https://sourceforge.net/projects/docutils/).
>>> 
>>> Here is my report:
>>> 
>>> Consider editing in Emacs a file `test.rst` and having typed so far
>>> 
>>> ~~~rest
>>> .. note::
>>>   :name: test
>>> ~~~
>>> 
>>> then insert a blank line and hit the TAB key on next one.  The cursor will align with `test`,  not with `:name:`.
> 
> This is not a bug, it's a feature.
> 
> You may hit TAB again to jump to the previous alignment point. You may
> repeat this to cycle through all alignment points.
> 

I did completely overlook that feature! Sorry about that...

~~~rest
.. note::
   :class: w
~~~ 

First TAB aligns with w, second one aligns with the "a"
of class and "e" of note and third one is the one a priori
most expected. Fourth one goes back to start of line.

If the alignment points were cycled in reverse order from now,
that would solve my use case ;-)

Best,

Jean-François

> 						Regards
> 						Stefan